package com.novitechie.rules;

import com.janetfilter.core.commons.DebugInfo;

import java.util.ArrayList;
import java.util.List;

/**
 * @author YeloChick
 */
public class ClassRule {


    private static final List<String> PREVENT_LOAD_METHOD = new ArrayList<String>() {
        {
            add("findBootstrapClass");
        }
    };

    public static void checkMethod(String name) throws Exception {
        if (PREVENT_LOAD_METHOD.stream().anyMatch(name::equals)) {
            DebugInfo.output("======================LoadMethod: " + name);
            StackTraceElement[] stackTrace = Thread.currentThread().getStackTrace();
            DebugInfo.output("===========================stackTrace: ");
            for (StackTraceElement stackTraceElement : stackTrace) {
                DebugInfo.output(stackTraceElement.getClassName() + ":" + stackTraceElement.getMethodName());
            }
            throw new NoSuchMethodException();
        }
    }
}
